package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备设置对象 t_device_set
 * 
 * @author zhengjie
 * @date 2023-09-20
 */
public class TDeviceSet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;

    /** 设置id编码 */
    @Excel(name = "设置id编码")
    private String deviceIdCode;

    /** sos手机号1 */
    @Excel(name = "sos手机号1")
    private String sostelno1;

    /** sos手机号2 */
    @Excel(name = "sos手机号2")
    private String sostelno2;

    /** 定位间隔 */
    @Excel(name = "定位间隔")
    private String gpsInterval;

    /** 心率间隔 */
    @Excel(name = "心率间隔")
    private String heartInterval;

    /** 体温间隔 */
    @Excel(name = "体温间隔")
    private String bodyInterval;

    /** 血压间隔 */
    @Excel(name = "血压间隔")
    private String bloodInterval;

    /** 血氧间隔 */
    @Excel(name = "血氧间隔")
    private String oxygenInterval;

    /** 计步器状态 */
    @Excel(name = "计步器状态")
    private Integer stepStatus;

    /** 联系人1 */
    @Excel(name = "联系人1")
    private String contactPer1;

    /** 联系人电话1 */
    @Excel(name = "联系人电话1")
    private String contactTel1;

    /** 联系人2 */
    @Excel(name = "联系人2")
    private String contactPer2;

    /** 联系人电话2 */
    @Excel(name = "联系人电话2")
    private String contactTel2;

    /** 联系人3 */
    @Excel(name = "联系人3")
    private String contactPer3;

    /** 联系人电话3 */
    @Excel(name = "联系人电话3")
    private String contactTel3;

    /** 定时开关机使用状态 */
    @Excel(name = "定时开关机使用状态")
    private Integer timeStatus;

    /** 开机时间 */
    @Excel(name = "开机时间")
    private String timeBegin;

    /** 关机时间 */
    @Excel(name = "关机时间")
    private String timeEnd;

    /** 佩戴使用状态 */
    @Excel(name = "佩戴使用状态")
    private Integer useStatus;

    /** 跌倒状态 */
    @Excel(name = "跌倒状态")
    private Integer fallStatus;

    /** 跌倒灵敏度 */
    @Excel(name = "跌倒灵敏度")
    private Integer levelStatus;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDeviceIdCode(String deviceIdCode) 
    {
        this.deviceIdCode = deviceIdCode;
    }

    public String getDeviceIdCode() 
    {
        return deviceIdCode;
    }
    public void setSostelno1(String sostelno1) 
    {
        this.sostelno1 = sostelno1;
    }

    public String getSostelno1() 
    {
        return sostelno1;
    }
    public void setSostelno2(String sostelno2) 
    {
        this.sostelno2 = sostelno2;
    }

    public String getSostelno2() 
    {
        return sostelno2;
    }
    public void setGpsInterval(String gpsInterval) 
    {
        this.gpsInterval = gpsInterval;
    }

    public String getGpsInterval() 
    {
        return gpsInterval;
    }
    public void setHeartInterval(String heartInterval) 
    {
        this.heartInterval = heartInterval;
    }

    public String getHeartInterval() 
    {
        return heartInterval;
    }
    public void setBodyInterval(String bodyInterval) 
    {
        this.bodyInterval = bodyInterval;
    }

    public String getBodyInterval() 
    {
        return bodyInterval;
    }
    public void setBloodInterval(String bloodInterval) 
    {
        this.bloodInterval = bloodInterval;
    }

    public String getBloodInterval() 
    {
        return bloodInterval;
    }
    public void setOxygenInterval(String oxygenInterval) 
    {
        this.oxygenInterval = oxygenInterval;
    }

    public String getOxygenInterval() 
    {
        return oxygenInterval;
    }
    public void setStepStatus(Integer stepStatus) 
    {
        this.stepStatus = stepStatus;
    }

    public Integer getStepStatus() 
    {
        return stepStatus;
    }
    public void setContactPer1(String contactPer1) 
    {
        this.contactPer1 = contactPer1;
    }

    public String getContactPer1() 
    {
        return contactPer1;
    }
    public void setContactTel1(String contactTel1) 
    {
        this.contactTel1 = contactTel1;
    }

    public String getContactTel1() 
    {
        return contactTel1;
    }
    public void setContactPer2(String contactPer2) 
    {
        this.contactPer2 = contactPer2;
    }

    public String getContactPer2() 
    {
        return contactPer2;
    }
    public void setContactTel2(String contactTel2) 
    {
        this.contactTel2 = contactTel2;
    }

    public String getContactTel2() 
    {
        return contactTel2;
    }
    public void setContactPer3(String contactPer3) 
    {
        this.contactPer3 = contactPer3;
    }

    public String getContactPer3() 
    {
        return contactPer3;
    }
    public void setContactTel3(String contactTel3) 
    {
        this.contactTel3 = contactTel3;
    }

    public String getContactTel3() 
    {
        return contactTel3;
    }
    public void setTimeStatus(Integer timeStatus) 
    {
        this.timeStatus = timeStatus;
    }

    public Integer getTimeStatus() 
    {
        return timeStatus;
    }
    public void setTimeBegin(String timeBegin) 
    {
        this.timeBegin = timeBegin;
    }

    public String getTimeBegin() 
    {
        return timeBegin;
    }
    public void setTimeEnd(String timeEnd) 
    {
        this.timeEnd = timeEnd;
    }

    public String getTimeEnd() 
    {
        return timeEnd;
    }
    public void setUseStatus(Integer useStatus) 
    {
        this.useStatus = useStatus;
    }

    public Integer getUseStatus() 
    {
        return useStatus;
    }
    public void setFallStatus(Integer fallStatus) 
    {
        this.fallStatus = fallStatus;
    }

    public Integer getFallStatus() 
    {
        return fallStatus;
    }
    public void setLevelStatus(Integer levelStatus) 
    {
        this.levelStatus = levelStatus;
    }

    public Integer getLevelStatus() 
    {
        return levelStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceIdCode", getDeviceIdCode())
            .append("sostelno1", getSostelno1())
            .append("sostelno2", getSostelno2())
            .append("gpsInterval", getGpsInterval())
            .append("heartInterval", getHeartInterval())
            .append("bodyInterval", getBodyInterval())
            .append("bloodInterval", getBloodInterval())
            .append("oxygenInterval", getOxygenInterval())
            .append("stepStatus", getStepStatus())
            .append("contactPer1", getContactPer1())
            .append("contactTel1", getContactTel1())
            .append("contactPer2", getContactPer2())
            .append("contactTel2", getContactTel2())
            .append("contactPer3", getContactPer3())
            .append("contactTel3", getContactTel3())
            .append("timeStatus", getTimeStatus())
            .append("timeBegin", getTimeBegin())
            .append("timeEnd", getTimeEnd())
            .append("useStatus", getUseStatus())
            .append("fallStatus", getFallStatus())
            .append("levelStatus", getLevelStatus())
            .toString();
    }
}
